GET /api/v1/orgs/{org_id}/inventory
Operation ID: getOrgInventory
Auth: unknown
Description
Get Org Inventory ### VC (Virtual-Chassis) Management Ideally VC should be managed as a single device - where - one managed entity where config / monitoring is anchored against (with a stable identify MAC) - all members appears in the inventory In our implementation, we strive to achieve that without manual user configurations by 1. during claim or adoption a VC, we require FPC0 to exist and will use its MAC as identify for the entire chassis 2. other VC members will be automatically populated when they’re all present The perceivable result is 1. from `/sites/:site_id/stats/devices/:fpc0_mac` API, you’d see the VC where module_stat contains the VC members 2. from `/orgs/:org_id/inventory?vc=true` API, you’d see all VC members with vc_mac pointing to the FPC0
Parameters (11)
(integer, query, optional, default: 100)
Constraints: {'minimum': 0}
(string, query, optional)
MAC address
(string, query, optional)
device model
(string, path, required)
(integer, query, optional, default: 1)
Constraints: {'minimum': 1}
(string, query, optional)
device serial
(string, query, optional)
site id if assigned, null if not assigned
(string, query, optional)
Constraints: {'enum': ['ap', 'switch', 'gateway']}
(boolean, query, optional)
(string, query, optional)
(string, query, optional)
No probe data for this endpoint yet.